# Welcome to pyOpenSSL’s documentation!

Release v25.0.0 (What’s new?).

pyOpenSSL is a rather thin wrapper around (a subset of) the OpenSSL library. With thin wrapper we mean that a lot of the object methods do nothing more than calling a corresponding function in the OpenSSL library.

## Contents:

- Introduction
  - History
  - Development
  - Contributing
- Installation
  - Supported OpenSSL Versions
  - Documentation
- `OpenSSL` — Python interface to OpenSSL
  - `crypto` — Generic cryptographic module
  - `SSL` — An interface to the SSL-specific parts of OpenSSL
- Internals
  - Exceptions
  - Callbacks
  - Accessing Socket Methods

### Meta

- Backward Compatibility
- Changelog

## Indices and tables

- Index

- Module Index

- Search Page